XDarwinStartup(1)

NAME
XDarwinStartup - Startup program for the XDarwin X window server

SYNOPSIS
XDarwinStartup [-iokit] [-fullscreen] [-rootless] [-quartz] [-idle] [options]

DESCRIPTION
The XDarwin(1) X window server can be run in a variety of different modes and is actually two different executables. The IOKit X server, XDarwin, is used when running from the console. It is most commonly located in __XBinDir__. The Quartz X server, for running in parallel with Aqua, is a full-fledged Mac OS X application that can be started from the Finder. Its application bundle is XDarwin.app, which is typically located in /Applications. XDarwinStartup allows easy switching between these X servers and auto-detection of the appropriate one to use when launching from the command line. When run without any arguments, XDarwinStartup will start the Quartz X server if the Core Graphics window server is currently running. Otherwise it will start the IOKit X server.

To locate the Quartz X server, XDarwinStartup will try to read the soft link at __XBinDir__/XDarwinQuartz. This is typically a soft link to the executable of the XDarwin.app application. If this fails, XDarwinStartup will call Launch Services to locate XDarwin.app.

To start the IOKit X server, XDarwinStartup will run the XDarwin execuatable, which should be present in the user's path.

OPTIONS
XDarwinStartup accepts and passes on all options to the X server it launches. In addition the following options have specific effects:

-iokit
    Launch the IOKit X server.

-fullscreen
    Launch the Quartz X server to run in full screen mode.

-rootless
    Launch the Quartz X server to run in rootless mode.

-quartz
    Launch the Quartz X server.

-idle
    Pause and do nothing. This option is used by XDarwin.app when it is started from the Finder.

FILES

__XBinDir__/XDarwin
    IOKit mode X server

/Applications/XDarwin.app
    Quartz mode X server

__XBinDir__/XDarwinQuartz
    Soft link to Quartz mode X server executable

SEE ALSO
XDarwin(1)

BUGS
The path to XDarwinQuartz should not be hard coded.